Get connection by ID
curl --request GET \
--url https://api.getmembrane.com/connections/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getmembrane.com/connections/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmembrane.com/connections/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"userId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"tenantId": "<string>",
"type": "connector",
"key": "<string>",
"isTest": true,
"connected": true,
"disconnected": true,
"isDefunct": true,
"state": "BUILDING",
"errors": [
{
"message": "<string>",
"type": "bad_request",
"key": "<string>",
"data": {},
"stack": {},
"causedByError": "<unknown>",
"logs": [
{}
]
}
],
"requestError": {
"message": "<string>",
"type": "bad_request",
"key": "<string>",
"data": {},
"stack": {},
"causedByError": "<unknown>",
"logs": [
{}
]
},
"error": {
"message": "<string>",
"type": "bad_request",
"key": "<string>",
"data": {},
"stack": {},
"causedByError": "<unknown>",
"logs": [
{}
]
},
"integrationId": "<string>",
"connectorId": "<string>",
"externalAppId": "<string>",
"connectorVersion": "<string>",
"authOptionKey": "<string>",
"lastActiveAt": "<string>",
"nextCredentialsRefreshAt": "<string>",
"nextRetryTimestamp": "<string>",
"retryAttempts": 123,
"canTest": true,
"canRefreshCredentials": true,
"archivedAt": "<string>",
"isDeactivated": true,
"meta": {},
"buildingAgentSessionId": "<string>",
"clientAction": {
"type": "connect",
"description": "<string>",
"uiUrl": "<string>",
"agentInstructions": "<string>",
"handoffAgentInstructions": "<string>"
},
"user": {
"id": "<string>",
"name": "<string>",
"internalId": "<string>",
"meta": {},
"fields": {},
"credentials": {},
"lastActiveAt": "<string>",
"isTest": true,
"isBillable": true,
"isActive": true,
"aiCreditsRolling30DayLimit": 1,
"createdAt": "<string>",
"archivedAt": "<string>"
},
"integration": {
"id": "<string>",
"name": "<string>",
"logoUri": "<string>",
"uuid": "<string>",
"key": "<string>",
"description": "<string>",
"meta": {},
"state": "BUILDING",
"errors": [
{
"message": "<string>",
"type": "bad_request",
"key": "<string>",
"data": {},
"stack": {},
"causedByError": "<unknown>",
"logs": [
{}
]
}
],
"revision": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"archivedAt": "<string>",
"isDeactivated": true,
"isReadOnly": true,
"connectorId": "<string>",
"connectorVersion": "<string>",
"oAuthCallbackUri": "<string>",
"parameters": {},
"hasMissingParameters": true,
"hasDocumentation": true,
"hasOperations": true,
"operationsCount": 123,
"hasData": true,
"dataCollectionsCount": 123,
"hasEvents": true,
"eventsCount": 123,
"hasGlobalWebhooks": true,
"hasUdm": true,
"isTest": true,
"externalAppId": "<string>",
"authType": "integration-app-token",
"optionsConfig": {}
},
"connectorParameters": {},
"input": {}
}Connections
Get connection by ID
GET
/
connections
/
{id}
Get connection by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Required range:
1 <= x <= 60Response
200 - application/json
Internal database ID of the element. Assigned by the API; unique per element.
Available options:
connector, mcp Use connected instead.
Available options:
BUILDING, CLIENT_ACTION_REQUIRED, CONFIGURATION_ERROR, SETUP_FAILED, READY, DISCONNECTING Show child attributes
Show child attributes
Show child attributes
Show child attributes
Use requestError and errors instead.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Session ID for building the element via intent-based endpoints (create/update with intent). Present when state is BUILDING.
Action the client must perform to advance this connection. Present if and only if state is CLIENT_ACTION_REQUIRED.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?